package com.nemrodsoftware.model;

public class Locale
{
    private Long id;
    private String language;
    private String country;
    
    public Locale()
    {
    }

    public Long getId()
    {
        return id;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public String getLanguage()
    {
        return language;
    }

    public void setLanguage(String language)
    {
        this.language = language;
    }

    public String getCountry()
    {
        return country;
    }

    public void setCountry(String country)
    {
        this.country = country;
    }
    
    public String getIsoName()
    {
        java.util.Locale locale = createJavaLocale();
        return locale.toString();
    }    
    
    public java.util.Locale createJavaLocale()
    {
        java.util.Locale locale;
        if(country != null)
        {
           locale = new java.util.Locale(language, country);
        }
        else
        {
            locale = new java.util.Locale(language);
        }
        return locale;
    }    
}
